Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Class LiteralQualification

    java.lang.Object
      |
      +--oracle.olapi.data.source.Qualification
            |
            +--oracle.olapi.data.source.LiteralQualification

public class LiteralQualification
extends Qualification

A `Qualification` that specifies a literal value, such as an `Integer`, `Boolean`, or `String` literal, that identifies an element of a `Source` for an `Assignment` of a `Model`.

An example is the following, which creates a `LiteralQualification` that specifies a member of the Product dimension, and then assigns a value for that member to the `Model` for the Unit Price measure. In the example, `productDim` is the `Source` for the `MdmPrimaryDimension` for the Product dimension, and `unitPriceModel` is the `MdmMeasureModel` for the Unit Price measure.

     LiteralQualification prodQual = new LiteralQualification(
                                             productDim,
                                             "PRODUCT_ROLLUP::FAMILY::50");
     unitPriceModel.assign(prodQual, dp.createConstantSource(75));

Constructor Summary
`LiteralQualification(Source qualifiedSource, java.lang.Object literal)` Creates a `LiteralQualification` object that qualifies a `Source` by specifying a single element of that `Source`.

Method Summary
`boolean` | `equals(java.lang.Object rhsObj)`
`java.lang.Object` | `getLiteral()` Gets the literal value of this `LiteralQualification`.

Methods inherited from class oracle.olapi.data.source.Qualification
`getQualifiedSource`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiteralQualification

    public LiteralQualification(Source qualifiedSource,
                                java.lang.Object literal)

  Creates a `LiteralQualification` object that qualifies a `Source` by specifying a single element of that `Source`. The `Source` must be an input of the `Model` associated with the `Assignment` with which the `LiteralQualification` is associated.
  Parameters:
    `qualifiedSource` - A `Source` that has the element for which you want to assign a value.
    `literal` - The literal value of the `qualifiedSource` element for which you want to assign a value.

Method Detail

### getLiteral

    public final java.lang.Object getLiteral()

  Gets the literal value of this `LiteralQualification`.
  Returns:
    An `Object` that represents the literal value of the qualified `Source` of this `LiteralQualification`.

### equals

    public boolean equals(java.lang.Object rhsObj)

  Overrides:
    equals in class Qualification

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.